Users

Get user

Get basic information about a workspace member. No scope required. User must be in the same workspace.

GET/users/{user_id}

Authorization

bearerAuth
AuthorizationBearer <token>

API key. Bearer authentication header of the form Bearer <token>, where <token> is your Workspace or Application API key.

In: header

Path Parameters

user_id*string

User ID.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.comusers/uSr1234" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "message": "User retrieved successfully.",  "data": {    "id": "uSr1234",    "name": "Jane Smith",    "email": "jane@example.com",    "profile_photo_url": "https://uploads.buildstash.com/B7kLmNpQrStUvWx.png"  }}
{  "message": "Unauthorized"}
{  "message": "This action requires 'resource:action' scope."}